2019-03-22 07:10 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002152NetSurfRISC OS-specificpublic2015-03-10 11:13
ReporterRichard Porter 
Assigned ToMichael Drake 
SeveritycrashReproducibilityalways 
StatusclosedResolutionfixed 
PlatformRiscPCOSRISC OSOS Version6.14
Product Version 
Target Version3.2Fixed in Version3.2 
Summary0002152: Seg Fault on NRE site
DescriptionClicking a link to the problem page (from Yahoo search results) causes NS to crash with a segmentation fault.
Steps To ReproduceClick on link to problem page
TagsNo tags attached.
Fixed in CI build #2050
Reported in CI build #1967
URL of problem pagehttp://www.nationalrail.co.uk/stations/mai/details.aspx
Attached Files

-Relationships
+Relationships

-Notes
Daniel Silverstone

~0000440

Daniel Silverstone (administrator)

This appears to be an nsurl_join issue where base is:

http://www.nationalrail.co.uk/stations/mai/details.aspx

and rel is:

mailto:enter%20email%20address&subject=Maidenhead&body=http://www.nationalrail.co.uk/stations_destinations/mai.aspx

We crash while interning lwc strings at line 951 of nsurl.c
Michael Drake

~0000444

Michael Drake (administrator)

Badly formed mailto URL.

The first '&' should be a '?'.

I will have to fix nsurl to handle it.
Vincent Sanders

~0000723

Vincent Sanders (administrator)

Confirmed fixed in 3.2 release
+Notes

-Issue History
Date Modified Username Field Change
2014-06-15 19:02 Richard Porter New Issue
2014-06-18 09:40 Vincent Sanders Status new => acknowledged
2014-08-03 14:47 Daniel Silverstone Note Added: 0000440
2014-08-03 14:47 Daniel Silverstone Status acknowledged => confirmed
2014-08-03 14:47 Daniel Silverstone Target Version => 3.2
2014-08-03 23:48 Vincent Sanders Assigned To => Daniel Silverstone
2014-08-04 11:10 Michael Drake Note Added: 0000444
2014-08-04 11:11 Michael Drake Assigned To Daniel Silverstone => Michael Drake
2014-08-04 11:11 Michael Drake Status confirmed => assigned
2014-08-05 09:31 Michael Drake Fixed in CI build # => 2050
2014-08-05 09:31 Michael Drake Status assigned => resolved
2014-08-05 09:31 Michael Drake Resolution open => fixed
2014-08-05 09:31 Michael Drake Fixed in Version => 3.2
2015-03-10 11:13 Vincent Sanders Note Added: 0000723
2015-03-10 11:13 Vincent Sanders Status resolved => closed
+Issue History